import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'displayArea'
})
export class DisplayAreaPipe implements PipeTransform {

  transform(value: any): string {
    switch (value) {
      case 1:
        return '赠券专区';
      case 2:
        return '金币专区';
      case 3:
        return '银联专区';
      case 4:
        return '优选商品';
      case 5:
        return '工会卡专区';
      case null:
        return '消费券';
    }
  }

}
